class Origami::SecondDisplayController < BaseOrigamiController

  def index
    @display_images = DisplayImage.all
  end

  def show
  end

  def customer_view
    display_type = Lookup.find_by_lookup_type("display_type")
     if !display_type.nil? && display_type.value.to_i == 2
         if params[:status]!= "billed"
       tax_profiles = TaxProfile.where(group_type: params[:type]).order("order_by asc")
     else
       tax_profiles = nil
     end
     if ENV["SERVER_MODE"] == 'cloud'
          from = request.subdomain  + "." + request.domain
        else
          from = ""
        end
        ActionCable.server.broadcast "second_display_view_channel",data: params[:data],tax_profiles: tax_profiles,status:params[:status],from:from
      end
  # end
  end
  #Shop Name in Navbor
  # helper_method :shop_detail
  # def shop_detail
  #
  # end


end
